#!/bin/sh
echo 'name: hashed-storage
version: 0.5.9
id: hashed-storage-0.5.9-854906234fda39059459df3f402a3408

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
import-dirs: /usr/lib/ghc-7.0.3/site-local/hashed-storage-0.5.9
library-dirs: /usr/lib/ghc-7.0.3/site-local/hashed-storage-0.5.9
hs-libraries: HShashed-storage-0.5.9
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-4582a5bc64f22f03f6d960b4f15c981f
         binary-0.5.0.2-664c8a2e48ab3d054fada951de472070
         bytestring-0.9.1.10-3854cb01149a317dd7949605f3224792
         containers-0.4.0.0-f1307d32d8f4b51a1487c01f0997b6d9
         dataenc-0.14.0.2-d2038456baa9d8459a478f5fa93fdc19
         directory-1.1.0.0-95cc9241c454ad659291443824c9e1e2
         extensible-exceptions-0.1.1.3-d8c5b906654260efd7249f497d17a831
         filepath-1.2.0.0-956a4b0c127b8c317f6cac3946b0b803
         mmap-0.5.7-f239bde4e0d1fb4a4a0cb70d1f70fbbd
         mtl-2.0.1.0-3e464329054b7660133198d73c31aca5
         zlib-0.5.3.1-3c6d04702765b68fe92c99674060e068
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/hashed-storage-0.5.9/html/hashed-storage.haddock
haddock-html: /usr/share/doc/hashed-storage-0.5.9/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
